INTEL_POWER_DOMAINS_(9)

NAME
intel_power_domains_init_hw - initialize hardware power domain state

SYNOPSIS

void intel_power_domains_init_hw(struct drm_i915_private * dev_priv);

ARGUMENTS

dev_priv
    i915 device instance

DESCRIPTION

This function initializes the hardware power domain state and enables all power domains using intel_display_set_init_power.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT